## libnumbertext 1.0

=== java/Makefile ===
all:
	cp ../data/*.sor org/numbertext/data
	CLASSPATH=. javac -encoding utf8 org/numbertext/Numbertext.java
	jar cfm numbertext.jar Manifest.txt org
	java -jar numbertext.jar

check:
	java -jar numbertext.jar -l en 99-101
	java -jar numbertext.jar -l en-GB 99-101
	java -jar numbertext.jar -p ordinal -l en 1-10

=== debian/changelog ===
libnumbertext (1.0-2) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Tue, 03 Jul 2018 18:42:27 +0000

libnumbertext (1.0-1) experimental; urgency=medium

  * New upstream version 1.0

 -- Rene Engelhard <rene@debian.org>  Tue, 03 Jul 2018 07:37:39 +0200

libnumbertext (1.0~beta3-1) experimental; urgency=medium

  * New upstream version 1.0~beta3

 -- Rene Engelhard <rene@debian.org>  Tue, 29 May 2018 00:11:11 +0200

libnumbertext (1.0~beta2-3) experimental; urgency=medium

  * debian/patches/allow-CXXFLAGS-override.diff: don't overwrite CXXFLAGS
    of the environment. (e.g. -g -O2)
  * debian/tests/control: more tests (libnumbertext-java and 99 fr vs. fr_BE).
    echo the failure message to stderr
  * debian/patches/java-encoding.diff: add -encoding utf8
 
 -- Rene Engelhard <rene@debian.org>  Sat, 12 May 2018 22:39:29 +0000

libnumbertext (1.0~beta2-2) experimental; urgency=medium

  * debian/patches/no-config.h-include.diff: make Soros.hxx not #include
    "config.h" since that doesn't exist and consumers of Numbertext.hxx
    would fail

 -- Rene Engelhard <rene@debian.org>  Fri, 04 May 2018 10:37:05 +0200

libnumbertext (1.0~beta2-1) experimental; urgency=medium

  * Initial release

 -- Rene Engelhard <rene@debian.org>  Fri, 04 May 2018 07:51:33 +0000

=== debian/tests/control ===
Test-Command: if [ "`/usr/lib/libnumbertext/spellout -l en 123`" != "one hundred twenty-three" ]; then echo "Invalid spellout of 123 for en." >&2; exit 1; else exit 0; fi
Depends: libnumbertext-tools

Test-Command: if [ "`/usr/lib/libnumbertext/spellout -l de 123`" != "einhundertdreiundzwanzig" ]; then echo "Invalid spellout of 123 for de." >&2; exit 1; else exit 0; fi
Depends: libnumbertext-tools

# taken from upstream make check

Test-Command: if [ "`java -jar /usr/share/java/numbertext.jar -l en 99`" != "ninety-nine" ]; then echo "Invalid 99."; >&2 exit 1; else exit 0; fi
Depends: default-jre, libnumbertext-java

Test-Command: if [ "`java -jar /usr/share/java/numbertext.jar -l en 101`" != "one hundred one" ]; then echo "Invalid 101 for en." >&2; exit 1; else exit 0; fi
Depends: default-jre, libnumbertext-java

Test-Command: if [ "`java -jar /usr/share/java/numbertext.jar -l en-GB 101`" != "one hundred and one" ]; then echo "Invalid 101 for en-GB." >&2; exit 1; else exit 0; fi
Depends: default-jre, libnumbertext-java

# let's test this, too

Test-Command: if [ "`/usr/lib/libnumbertext/spellout -l en 99`" != "ninety-nine" ]; then echo "Invalid spellout of 99 for en." >&2; exit 1; else exit 0; fi
Depends: libnumbertext-tools

Test-Command: if [ "`/usr/lib/libnumbertext/spellout -l fr 99`" != "quatre-vingt-dix-neuf" ]; then echo "Invalid 99 for fr."; >&2 exit 1; else exit 0; fi
Depends: libnumbertext-tools

Test-Command: if [ "`/usr/lib/libnumbertext/spellout -l fr-BE 99`" != "nonante-neuf" ]; then echo "Invalid 99 for fr-BE."; >&2 exit 1; else exit 0; fi
Depends: libnumbertext-tools

## libnumbertext 1.0.5

=== java/Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 all:
+	mkdir -p org/numbertext/data
 	cp ../data/*.sor org/numbertext/data
 	CLASSPATH=. javac -encoding utf8 org/numbertext/Numbertext.java
 	jar cfm numbertext.jar Manifest.txt org

=== debian/changelog ===
libnumbertext (1.0.5-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:46:16 +0100

libnumbertext (1.0.5-3) unstable; urgency=medium

  * also patch test for python3

 -- Rene Engelhard <rene@debian.org>  Tue, 03 Sep 2019 07:18:24 +0200

libnumbertext (1.0.5-2) unstable; urgency=medium

  * build using python3 (closes: #936896) 

 -- Rene Engelhard <rene@debian.org>  Mon, 02 Sep 2019 18:52:22 +0000

libnumbertext (1.0.5-1) unstable; urgency=medium

  * New upstream version 1.0.5

  * add a cd /tmp to the tests to be sure we don't run from the build dir
    (where it would pick up ./data)

 -- Rene Engelhard <rene@debian.org>  Sat, 13 Oct 2018 14:42:38 +0200

libnumbertext (1.0-3) unstable; urgency=medium

  * fix spellout.cxx to use /usr/share/libnumbertext, not try
    /usr/share/numbertext (closes: #908237)

 -- Rene Engelhard <rene@debian.org>  Sat, 08 Sep 2018 11:22:31 +0000

=== debian/control ===
Source: libnumbertext
Priority: optional
Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>
Build-Depends: debhelper (>= 10), default-jdk, python3, zip
Standards-Version: 4.1.2
Section: libs
Homepage: https://numbertext.github.io/
Vcs-Git: https://salsa.debian.org/libreoffice-team/libnumbertext.git
Vcs-Browser: https://salsa.debian.org/libreoffice-team/libnumbertext

Package: libnumbertext-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libnumbertext-1.0-0 (= ${binary:Version}), ${misc:Depends}
Description: Number to number name and money text conversion library -- development
 libnumbertext provides easy to configure, lightweight open source C++, Java,
 JavaScript, Python libraries and a LibreOffice Spreadsheet extension for
 number to number name conversion, including cardinal and ordinal numbers,
 ordinal indicators and money amounts with currencies in more than 30 languages
 and numeral systems.
 .
 This package contains the needed files to develop/build against
 libnumbertext.

Package: libnumbertext-1.0-0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libnumbertext-data
Description: Number to number name and money text conversion library
 libnumbertext provides easy to configure, lightweight open source C++, Java,
 JavaScript, Python libraries and a LibreOffice Spreadsheet extension for
 number to number name conversion, including cardinal and ordinal numbers,
 ordinal indicators and money amounts with currencies in more than 30 languages
 and numeral systems.

Package: libnumbertext-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Number to number name and money text conversion library -- data files
 libnumbertext provides easy to configure, lightweight open source C++, Java,
 JavaScript, Python libraries and a LibreOffice Spreadsheet extension for
 number to number name conversion, including cardinal and ordinal numbers,
 ordinal indicators and money amounts with currencies in more than 30 languages
 and numeral systems.
 .
 This package contains the data files.

Package: libnumbertext-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Number to number name and money text conversion library -- speller utility
 libnumbertext provides easy to configure, lightweight open source C++, Java,
 JavaScript, Python libraries and a LibreOffice Spreadsheet extension for
 number to number name conversion, including cardinal and ordinal numbers,
 ordinal indicators and money amounts with currencies in more than 30 languages
 and numeral systems.
 .
 This package contains the "spellout" tool which uses libnumbertext to spell
 out numbers.

Package: libnumbertext-java
Architecture: all
Depends: ${misc:Depends}
Description: Number to number name and money text conversion library for Java
 libnumbertext provides easy to configure, lightweight open source C++, Java,
 JavaScript, Python libraries and a LibreOffice Spreadsheet extension for
 number to number name conversion, including cardinal and ordinal numbers,
 ordinal indicators and money amounts with currencies in more than 30 languages
 and numeral systems.
 .
 This package contains the numbertext Java library.

Package: libreoffice-numbertext
Architecture: all
Depends: libreoffice-calc, python3-uno, ${misc:Depends}
Description: number to number name and currency name conversion LO Calc Add-In
 NUMBERTEXT and MONEYTEXT are spreadsheet functions for number to number name
 and currency name conversion proposed for OpenFormula standard. MONEYTEXT is
 functionally top-compliant with the ECMA/ISO standard BAHTTEXT function, and
 supports more than 30 languages.
 .
 This Add-In provides those functions to LibreOffice Calc.
 .
 https://extensions.libreoffice.org/extensions/numbertext-1

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-werror

override_dh_auto_build:
	dh_auto_build
	cd pythonpath && \
		$(MAKE)
	cd java && \
		mkdir -p org/numbertext/data && \
		$(MAKE)
	zip -d java/numbertext.jar org/numbertext/Numbertext.java
	zip -d java/numbertext.jar org/numbertext/Soros.java


override_dh_auto_test:
	cd test && $(MAKE)
	cd java && $(MAKE) check

override_dh_install:
	cat description.xml.in | bin/shellhtml >description.xml
	dh_install
	rm -f debian/libreoffice-numbertext/usr/lib/libreoffice/share/extensions/numbertext/idl/buildrdb.sh

override_dh_auto_clean:
	rm -rf java/numbertext.jar java/org/numbertext/Numbertext.class java/org/numbertext/Soros.class java/org/numbertext/data
	rm -f src/Soros.pyc
	rm -f pythonpath/numbertext_*.py pythonpath/org/Numbertext/Soros.py pythonpath/org/Numbertext/locales.py pythonpath/org/Numbertext/places.py
	rm -f description.xml
	rm -rf test/testSubDir
	dh_auto_clean

## libnumbertext 1.0.5-3build1%2B9.0trisquel1

=== java/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 all:
 	mkdir -p org/numbertext/data
 	cp ../data/*.sor org/numbertext/data
-	CLASSPATH=. javac -encoding utf8 org/numbertext/Numbertext.java
+	CLASSPATH=. javac -encoding utf8 -source 1.8 -target 1.8 org/numbertext/Numbertext.java
 	jar cfm numbertext.jar Manifest.txt org
 	java -jar numbertext.jar

=== pythonpath/Makefile ===
# convert all ../data/*.sor files to name_*.py Python modules
BIN=../bin

all: org/Numbertext/Soros.py org/Numbertext/places.py org/Numbertext/locales.py \
  $(addprefix numbertext_, $(addsuffix .py, $(basename $(notdir $(wildcard ../data/*.sor)))))

org/Numbertext/Soros.py: ../src/Soros.py
	cp ../src/Soros.py org/Numbertext/

org/Numbertext/places.py: ../src/places.py
	cp ../src/places.py org/Numbertext/

#org/Numbertext/%.py: ../data/%.sor $(BIN)/Convert.py
numbertext_%.py: ../data/%.sor $(BIN)/Convert.py
	python3 $(BIN)/Convert.py $< >$@

org/Numbertext/locales.py: $(addprefix numbertext_, $(addsuffix .py, $(basename $(notdir $(wildcard ../data/*.sor)))))
	python3 $(BIN)/locales.py $(basename $(notdir $(wildcard ../data/*.sor))) $(shell cat ../data/*.sor | grep -Eo '\[:.....:]' | tr '-' '_' | tr -d '[]:' | sort | uniq) >org/Numbertext/locales.py

clean:
	rm -f $(addprefix numbertext_, $(addsuffix .py, $(basename $(notdir $(wildcard ../data/*.sor)))))
	rm -f org/Numbertext/places.py* org/Numbertext/locales.py* org/Numbertext/Soros.py*

=== debian/changelog ===
libnumbertext (1.0.5-3build1+9.0trisquel1) etiona-backports; urgency=medium

  * Backported from Cosmic

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 19 Jun 2020 22:22:02 +0000

## libnumbertext 1.0.6

=== debian/changelog ===
libnumbertext (1.0.6-1) unstable; urgency=medium

  * New upstream version 1.0.6

  * add maven-repo-helper to Build-Depends: and use mh_* for new pom

 -- Rene Engelhard <rene@debian.org>  Wed, 03 Jun 2020 19:20:53 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
 Uploaders: Rene Engelhard <rene@debian.org>
-Build-Depends: debhelper (>= 10), default-jdk, python3, zip
+Build-Depends: debhelper (>= 10), default-jdk, python3, zip, maven-repo-helper
 Standards-Version: 4.1.2
 Section: libs
 Homepage: https://numbertext.github.io/

## libnumbertext 1.0.7

=== java/Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 all:
 	mkdir -p org/numbertext/data
 	cp ../data/*.sor org/numbertext/data
-	CLASSPATH=. javac -encoding utf8 -source 1.8 -target 1.8 org/numbertext/Numbertext.java
+	cp -r src/main/org/numbertext/*.java org/numbertext
+	CLASSPATH=. javac -encoding utf8 org/numbertext/Numbertext.java
 	jar cfm numbertext.jar Manifest.txt org
 	java -jar numbertext.jar

=== pythonpath/Makefile ===
--- 
+++ 
@@ -12,10 +12,10 @@
 
 #org/Numbertext/%.py: ../data/%.sor $(BIN)/Convert.py
 numbertext_%.py: ../data/%.sor $(BIN)/Convert.py
-	python3 $(BIN)/Convert.py $< >$@
+	python $(BIN)/Convert.py $< >$@
 
 org/Numbertext/locales.py: $(addprefix numbertext_, $(addsuffix .py, $(basename $(notdir $(wildcard ../data/*.sor)))))
-	python3 $(BIN)/locales.py $(basename $(notdir $(wildcard ../data/*.sor))) $(shell cat ../data/*.sor | grep -Eo '\[:.....:]' | tr '-' '_' | tr -d '[]:' | sort | uniq) >org/Numbertext/locales.py
+	python $(BIN)/locales.py $(basename $(notdir $(wildcard ../data/*.sor))) $(shell cat ../data/*.sor | grep -Eo '\[:.....:]' | tr '-' '_' | tr -d '[]:' | sort | uniq) >org/Numbertext/locales.py
 
 clean:
 	rm -f $(addprefix numbertext_, $(addsuffix .py, $(basename $(notdir $(wildcard ../data/*.sor)))))

=== test/Makefile ===
all:
	for i in *.test; do echo -n "$$i ";./$$i && echo done; done

clean:
	rm -rf testSubDir

=== web/Makefile ===
all:
	cat index.html.in | ../bin/shellhtml >webroot/index.html
	cat Soros.html.in | ../bin/shellhtml >webroot/Soros.html
	cat AUTHORS.html.in | ../bin/shellhtml >webroot/AUTHORS.html

clean:
	rm -f webroot/index.html webroot/Soros.html webroot/AUTHORS.html webroot/*.pdf
	rm -f webroot/Soros.py webroot/Soros.js

=== debian/changelog ===
libnumbertext (1.0.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libnumbertext-java: Add Multi-Arch: foreign.

  [ Rene Engelhard ]
  * New upstream version 1.0.7

 -- Rene Engelhard <rene@debian.org>  Fri, 05 Feb 2021 09:48:49 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
 Uploaders: Rene Engelhard <rene@debian.org>
-Build-Depends: debhelper (>= 10), default-jdk, python3, zip, maven-repo-helper
+Build-Depends: debhelper (>= 10), openjdk-11-jdk, python3, zip, maven-repo-helper
 Standards-Version: 4.1.2
 Section: libs
 Homepage: https://numbertext.github.io/
@@ -64,6 +64,7 @@
 Package: libnumbertext-java
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Number to number name and money text conversion library for Java
  libnumbertext provides easy to configure, lightweight open source C++, Java,
  JavaScript, Python libraries and a LibreOffice Spreadsheet extension for
@@ -85,4 +86,3 @@
  This Add-In provides those functions to LibreOffice Calc.
  .
  https://extensions.libreoffice.org/extensions/numbertext-1
-

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-werror

override_dh_auto_build:
	dh_auto_build
	cd pythonpath && \
		$(MAKE)
	cd java && \
		mkdir -p org/numbertext/data && \
		$(MAKE)
	# remove unneeded source files...
	zip -d java/numbertext.jar org/numbertext/Numbertext.java
	zip -d java/numbertext.jar org/numbertext/Soros.java
	zip -d java/numbertext.jar org/numbertext/MenuState.java

override_dh_auto_test:
	cd test && $(MAKE)
	cd java && $(MAKE) check

override_dh_install:
	cat description.xml.in | bin/shellhtml >description.xml
	dh_install
	rm -f debian/libreoffice-numbertext/usr/lib/libreoffice/share/extensions/numbertext/idl/buildrdb.sh
	mh_installpom -plibnumbertext-java ./java/pom.xml
	mh_installjar -plibnumbertext-java -l ./java/pom.xml java/numbertext.jar

override_dh_auto_clean:
	rm -rf java/numbertext.jar java/org/numbertext/*.class java/org/numbertext/data
	# the build copies those here... :(
	rm -f java/org/numbertext/MenuState.java java/org/numbertext/Numbertext.java java/org/numbertext/Soros.java
	rm -rf src/__pycache__/
	rm -f pythonpath/numbertext_*.py pythonpath/org/Numbertext/Soros.py pythonpath/org/Numbertext/locales.py pythonpath/org/Numbertext/places.py
	rm -f description.xml
	rm -rf test/testSubDir
	mh_clean
	dh_auto_clean

## libnumbertext 1.0.8

=== debian/changelog ===
libnumbertext (1.0.8-1) unstable; urgency=medium

  * New upstream version 1.0.8

 -- Rene Engelhard <rene@debian.org>  Tue, 04 Jan 2022 19:47:26 +0100

## libnumbertext 1.0.10

=== debian/changelog ===
libnumbertext (1.0.10-1) unstable; urgency=medium

  * New upstream version 1.0.10

 -- Rene Engelhard <rene@debian.org>  Wed, 06 Apr 2022 16:55:04 +0200

libnumbertext (1.0.9-1) unstable; urgency=medium

  * New upstream version 1.0.9

 -- Rene Engelhard <rene@debian.org>  Fri, 01 Apr 2022 13:59:19 +0200

## libnumbertext 1.0.11

=== debian/changelog ===
libnumbertext (1.0.11-3deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 20 Sep 2024 12:10:36 +0800

libnumbertext (1.0.11-3) unstable; urgency=medium

  * remove no-op mh_clean call 

 -- Rene Engelhard <rene@debian.org>  Sat, 18 Nov 2023 16:48:08 +0100

libnumbertext (1.0.11-2) unstable; urgency=medium

  * split build-arch and build-indep, don't run the Java tests if not built
  * move openjdk and mpaven-repo-helper to Build-Depends-Indep 

 -- Rene Engelhard <rene@debian.org>  Sat, 18 Nov 2023 13:43:06 +0000

libnumbertext (1.0.11-1) unstable; urgency=medium

  * New upstream version 1.0.11

 -- Rene Engelhard <rene@debian.org>  Mon, 14 Nov 2022 19:05:34 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Priority: optional
 Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
 Uploaders: Rene Engelhard <rene@debian.org>
-Build-Depends: debhelper (>= 10), openjdk-11-jdk, python3, zip, maven-repo-helper
+Build-Depends: debhelper (>= 10), python3, zip
+Build-Depends-Indep: default-jdk, maven-repo-helper
 Standards-Version: 4.1.2
 Section: libs
 Homepage: https://numbertext.github.io/

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,12 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-werror
 
-override_dh_auto_build:
+override_dh_auto_build-arch:
 	dh_auto_build
 	cd pythonpath && \
 		$(MAKE)
+
+override_dh_auto_build-indep:
 	cd java && \
 		mkdir -p org/numbertext/data && \
 		$(MAKE)
@@ -19,11 +21,14 @@
 
 override_dh_auto_test:
 	cd test && $(MAKE)
-	cd java && $(MAKE) check
+	if [ -f java/numbertext.jar ]; then cd java && $(MAKE) check; fi
 
-override_dh_install:
+override_dh_install-arch:
+	dh_install -a
+
+override_dh_install-indep:
 	cat description.xml.in | bin/shellhtml >description.xml
-	dh_install
+	dh_install -i
 	rm -f debian/libreoffice-numbertext/usr/lib/libreoffice/share/extensions/numbertext/idl/buildrdb.sh
 	mh_installpom -plibnumbertext-java ./java/pom.xml
 	mh_installjar -plibnumbertext-java -l ./java/pom.xml java/numbertext.jar
@@ -36,6 +41,5 @@
 	rm -f pythonpath/numbertext_*.py pythonpath/org/Numbertext/Soros.py pythonpath/org/Numbertext/locales.py pythonpath/org/Numbertext/places.py
 	rm -f description.xml
 	rm -rf test/testSubDir
-	mh_clean
 	dh_auto_clean
